package com.fjhx.jushuitan.service.jushuitan;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.jushuitan.entity.jushuitan.dto.JushuitanConfigDto;
import com.fjhx.jushuitan.entity.jushuitan.dto.JushuitanConfigSelectDto;
import com.fjhx.jushuitan.entity.jushuitan.po.JushuitanConfig;
import com.fjhx.jushuitan.entity.jushuitan.vo.JushuitanConfigVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 聚水潭配置 服务类
 * </p>
 *
 * @author
 * @since 2024-01-18
 */
public interface JushuitanConfigService extends BaseService<JushuitanConfig> {

    /**
     * 聚水潭配置分页
     */
    Page<JushuitanConfigVo> getPage(JushuitanConfigSelectDto dto);

    /**
     * 聚水潭配置明细
     */
    JushuitanConfigVo detail(Long id);

    /**
     * 聚水潭配置新增
     */
    void add(JushuitanConfigDto jushuitanConfigDto);

    /**
     * 聚水潭配置编辑
     */
    void edit(JushuitanConfigDto jushuitanConfigDto);

    /**
     * 聚水潭配置删除
     */
    void delete(Long id);

}
